Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet.prefs
Interface PortletPreferences

All Superinterfaces:
  javax.portlet.PortletPreferences

All Known Implementing Classes:
  PortletPreferencesImpl

Deprecated. Replaced by `PortletPreferences`

public interface PortletPreferences
extends javax.portlet.PortletPreferences

The `PortletPreferences` interface represents preferences associated with a portlet instance.

Portlet preferences are name-value pairs of data. A named preference may have multiple values.

Portlet preferences may be specified at development time, be updated by portal administrators, and also be updated by portlets during actions.

A preference may be marked as read-only at deployment time. In such cases portlets can not modify such a preference. But administrators may still change the value of such a preference.

Method Summary
`boolean` | `isModifiable(String key)` Deprecated. Use #isReadOnly
`void` | `setValue(String key, String value)` Deprecated. Replaced by `PortletPreferences.setValue(String, String)`
`void` | `setValues(String key, String[] values)` Deprecated. Replaced by `PortletPreferences.setValues(String, String[])`
`void` | `store()` Deprecated. Replaced by `PortletPreferences.store()`

Methods inherited from interface javax.portlet.PortletPreferences
`getMap, getNames, getValue, getValues, isReadOnly, reset`

Method Detail

### isModifiable

    public boolean isModifiable(String key)

  Deprecated. Use #isReadOnly

  Returns `true` if the given preference is modifiable. Modifiable preferences can be modified by a portlet in any mode during its action-processing phase.

  Parameters:
    `key` - name of the preference
  Returns:
    boolean

### setValue

    public void setValue(String key,
                         String value)
                  throws UnmodifiableException

  Deprecated. Replaced by `PortletPreferences.setValue(String, String)`

  Sets the value of the given preference.

  Specified by:
    `setValue` in interface `javax.portlet.PortletPreferences`
  Parameters:
    `key` - name of the preference
    `value` - value to be set
  Throws:
    `UnmodifiableException` - thrown if the preference is marked read-only

### setValues

    public void setValues(String key,
                          String[] values)
                   throws UnmodifiableException

  Deprecated. Replaced by `PortletPreferences.setValues(String, String[])`

  Sets the value of the given preference.

  Specified by:
    `setValues` in interface `javax.portlet.PortletPreferences`
  Parameters:
    `key` - name of the preference
    `values` - value to be set
  Throws:
    `UnmodifiableException` - thrown if the preference is marked read-only

### store

    public void store()
               throws IOException

  Deprecated. Replaced by `PortletPreferences.store()`

  Stores the current set of preferences.

  Specified by:
    `store` in interface `javax.portlet.PortletPreferences`
  Throws:
    `IOException` - thrown if there is an error while storing the preferences
    `UnsupportedOperationException` - if this method is called inside a render call, or if customization is not enabled.
    `SecurityException` - if the current user has insufficient privileges to modify preferences.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved